#!/usr/bin/env sh

set -eu

./bundle.sh

YML_IN="spec/submission-api-bundled.yaml"

docker run --rm -v "$(pwd):/work" jeanberu/swagger-cli \
  swagger-cli validate "/work/$YML_IN"

docker run --rm -v "$(pwd):/work" -w /work stoplight/spectral:5 \
  lint "/work/$YML_IN" -D

java -jar openapi4j-parser-cli-1.0.0.jar "$YML_IN"

grep -c '~' "$YML_IN" >/dev/null && \
  { echo "You have relative references in the output. Fix them by adding it to the components tree."; exit 1; }